summaryrefslogtreecommitdiff
path: root/scripts/makeppa
diff options
context:
space:
mode:
authorruki <[email protected]>2023-11-21 23:02:59 +0800
committerruki <[email protected]>2023-11-21 23:02:59 +0800
commitf9065b4b16508676d4a66c687beba4a1a9d3196f (patch)
tree06cfbd6235750acb98ee6ffe59a795d11d403633 /scripts/makeppa
parentc445254e918e5091c641832c687d5b7857be0949 (diff)
fix os.runv
Diffstat (limited to 'scripts/makeppa')
-rwxr-xr-xscripts/makeppa2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/makeppa b/scripts/makeppa
index 652cd44c5..6421f0155 100755
--- a/scripts/makeppa
+++ b/scripts/makeppa
@@ -32,7 +32,7 @@ basename=xmake-$version+$patch$serie
tarball=$workdir/$basename.tar.gz
if [ ! -f $tarball ]; then
cd core
- xmake pack -vD --autobuild=n --formats=src_targz --basename=xmake -o ../artifacts
+ xmake pack --autobuild=n --formats=src_targz --basename=xmake -o ../artifacts || exit -1
cd ..
cp ./artifacts/xmake.tar.gz $tarball
fi